#include<bits/stdc++.h>

using namespace std;

int main(){
    int n,q;
    cin>>n>>q;
    int nizG[n],nizW[q];
    for(int i=0;i<n;i++)
    cin>>nizG[i];
    for(int i=0;i<q;i++)
    cin>>nizW[i];
    for(int i=0;i<q;i++)
    {
        int j=1;
        while(nizG[j]<=nizW[i])
        {
            j++;
        }
        int levo=j-1;
        int desno=n-j;
        int pom=abs(levo-desno);
        if((nizW[i]!=nizG[j-1]  ||  n+pom%2!=0) && pom!=0 )
            cout<<pom-1<<endl;
        else
        cout<<pom<<endl;
    }
    return 0;
}